/* 
Theme Name: Cogent Search Theme
Theme URI: https://www.cogentsearch.com.sg/
Description: Cogent Child Theme to customise global style across Cogent themed sites
Author: 'Lingo', WliaCreations
Author URI: https://wliacreations.com/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* 
	CSS e.g. h2 { color: var(--e-global-color-primary ); }
    --e-global-color-primary: #111111;  var(--e-global-color-primary );
    --e-global-color-secondary: #808183;  var(--e-global-color-secondary );
    --e-global-color-text: #313131;  var(--e-global-color-text );
    --e-global-color-accent: #EF4060; var(--e-global-color-accent ); (Cogent Pink)
    --e-global-color-white: #FFFFFF; var(--e-global-color-2552904 );
 */
body { font-family: 'Montserrat', sans-serif; }
b, strong { font-weight: 700; }
.semibold { font-weight: 600; }
.text-pink { color: #EF4060!important; }
hr { display: block; border: 0; border-top: 1px solid #eee; padding-bottom: 1em; }

a, a:visited, .normal a { color: var(--e-global-color-accent ); }
a:hover { color: #D6718F; }
.accent { color: var(--e-global-color-accent )!important; }

a.btn, a.btn:active, a.btn:link, a.btn:visited{transition:all 0.3s ease-in-out;-moz-transition:all 0.3s ease-in-out;-webkit-transition:all 0.3s ease-in-out;-khtml-transition:all 0.3s ease-in-out;}
a.btn { font-size: 0.9em; font-weight: 600; padding: 7px 20px; border-radius: 3em; }
a.btn i.fa { display: inline-block; margin-left: 8px; }

a.btn.btn-primary { color: #fff; background-color: var(--e-global-color-accent ); }
a.btn.btn-primary:hover { background-color: var(--e-global-color-8a848f0 ); }

a.social-btn { display: inline-block; width: 30px; height: 30px; background-color: var(--e-global-color-8fea9ce ); color: #fff; text-align: center; border-radius: 50%; margin: 10px 5px; }
a.social-btn:hover { background-color: var(--e-global-color-8a848f0 ); }
a.social-btn i { font-size: 14px; margin: 0; padding-top: 8px; }	

.elementor-widget-menu-anchor { display:block; position: relative; top: -100px; }

.overflow-hidden { overflow: hidden; }
.fixed-bg { background-attachment: fixed; /*Fix parallax bg elementor media query glitch*/ }

.dark a, .dark a:visited { color: #F3CB60; }
.dark.white a, .dark.white a:visited, .ha-cs-switch-wrapper .ha-cs-button:hover { color: #fff; }

.topbar_contacts ul li:first-child { margin-right: -8px!important; }
.elementor-8 .elementor-element.elementor-element-e2eee40.elementor-search-form--skin-full_screen input[type="search"].elementor-search-form__input { background: #fff; }

.elementor-button.elementor-size-lg { border-radius: 30px!important; padding: 15px 30px!important; }

.testimonial-carousel h5 { font-weight: bold; color: #082563; }
.elementor-testimonial__image img { width: 150px!important; height: auto!important; object-fit: contain!important; }

/** NAV MENU **/
.elementor-nav-menu--dropdown { min-width: 20em!important; }
.elementor-nav-menu--dropdown li:not(:last-child) { border-color: #eee; }
.elementor-nav-menu--dropdown a { padding-left: 20px!important; padding-right: 20px!important; }
.elementor-nav-menu--dropdown { border-radius: 10px; box-shadow: 0 0 7px rgba(0,0,0,0.1); overflow: hidden; }
.elementor-nav-menu--dropdown a:hover, .elementor-nav-menu--dropdown a.elementor-sub-item.elementor-item-active { background-color: #7D99C6; }

.menu-image-title-after.menu-image-not-hovered img, .menu-image-hovered.menu-image-title-after .menu-image-hover-wrapper, .menu-image-title-before.menu-image-title { width: 70px!important; border-radius: 10px; border: 2px solid #fff; margin-left: -15px; padding-right: 0; }
.elementor-nav-menu--layout-horizontal .elementor-nav-menu a { white-space: normal!important; }

/** Happy AddOns Nav Menu **/
.elementor-435 .elementor-element.elementor-element-8c77a13:not(.elementor-motion-effects-element-type-background), .elementor-435 .elementor-element.elementor-element-8c77a13 > .elementor-motion-effects-container > .elementor-motion-effects-layer { max-width: 1140px; margin-left: auto; margin-right: auto; }
.ha-navbar-nav .ha-submenu-panel { overflow: hidden; }
.ha-navbar-nav-default .ha-submenu-panel>li.subparent > a { font-weight: bold; }
.ha-navbar-nav-default .ha-submenu-panel>li.sub2menu a { padding-left: 31px!important; }
.ha-navbar-nav-default .ha-submenu-panel>li.sub2menu a:before { content: '-'; position: absolute; left: 20px; top: 14px; }
.ha-navbar-nav-default .ha-submenu-panel>li.sub3menu a { padding-left: 41px!important; }
.ha-navbar-nav-default .ha-submenu-panel>li.sub3menu a:before { content: '--'; position: absolute; left: 30px; top: 14px; }

ul.styled-list, .styled-list ul { padding-left: 1.5em; margin-bottom: 1em; }
ul.styled-list li, .styled-list ul li { list-style: none; padding-left: 0; padding-bottom: 8px; margin-bottom: 8px; border-bottom: 1px dashed #d7d7d7; }
ul.styled-list li:before, .styled-list ul li:before { content: '\f14a'; font-family: 'FontAwesome'; display: inline-block; margin-left: -1.5em; width: 1.5em; color: var(--e-global-color-accent ); }
.styled-list ul.list-caret li:before, .styled-list.list-caret ul li:before { content: '\f0da';  }
.styled-list ul.list-hand li:before { content: '\f0a4'; }
.styled-list ul.list-chevron li:before, .styled-list.list-chevron ul li:before { content: '\f054'; }
.styled-list ul.list-arrow-right li:before, .styled-list.list-arrow-right ul li:before { content: '\f061'; }
.styled-list ul.list-circle-right li:before, .styled-list.list-circle-right ul li:before { content: '\f35a'; }
.styled-list ul.list-trophy li:before, .styled-list.list-trophy ul li:before { content: '\f2eb'; }
.styled-list ul.list-times li:before, .styled-list.list-times ul li:before { content: '\f00d'; }
.styled-list ul.list-star li:before, .styled-list.list-star ul li:before { content: '\f006'; }
.styled-list ul.list-check li:before, .styled-list.list-check ul li:before { content: '\f14a'; }
.styled-list ul.list-lightbulb li:before, .styled-list.list-lightbulb ul li:before { content: '\f0eb'; }
.styled-list ul.list-form li:before, .styled-list.list-form ul li:before { content: '\f298'; }
.styled-list ul.list-briefcase li:before, .styled-list.list-briefcase ul li:before { content: '\f0b1'; }
.styled-list ul.large li { font-size: 1.25em; padding-bottom: 10px; margin-bottom: 10px; border-bottom: 1px dashed #eee; margin-left: 1.5em;} 

.styled-list ul li li { padding: 0; border-bottom: 0; font-size: 0.75em; }
.styled-list ul li li:before { margin-left: -2em; content: ''; width: 0; }

.styled-list.gold li:before { color: var(--e-global-color-accent ); }

.border-style-groove { background-color: #FFFFFFE6; border-style: groove; border-width: 12px 12px 12px 12px; border-color: var(--e-global-color-9497d87 ); border-radius: 6em 6em 6em 6em; box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.1); }
 
 
.topbar_contacts ul li:first-child { }
.elementor-search-form--skin-full_screen input[type="search"].elementor-search-form__input { background: #fff!important; }

.elementor-button.elementor-size-lg { border-radius: 30px!important; padding: 15px 30px!important; }

/** Search Form overlay **/
.elementor-search-form--skin-full_screen .elementor-search-form__container { z-index: 99999!important; }
.elementor-search-form__container .elementor-lightbox .dialog-lightbox-close-button i.eicon-close { color: #fff!important; fill: #fff!important; }

/** Prime Slider **/
.bdt-prime-slider-skin-general h1, .bdt-prime-slider-skin-general h3 { text-shadow: 1px 1px 3px rgba(0,0,0,0.5); }

/** Service Carousel **/
.service-carousel.elementor-widget-n-carousel.elementor-pagination-position-outside>.elementor-widget-container>.swiper, .service-carousel.elementor-widget-n-carousel.elementor-pagination-position-outside>.elementor-widget-container>.swiper-container { padding: 0!important; }

/**Feature / Service Boxes**/
.service-boxes .elementor-widget-image, .service-boxes .elementor-image-box-img { height: 250px; overflow: hidden; border-radius: 1em; }
.service-boxes .elementor-image-box-img { }
.service-boxes .elementor-image-box-content { padding: 1em 1.5em; }

.pill-feature-box figure.elementor-image-box-img { overflow: hidden; }
.pill-feature-box h3 { margin: 0 auto; width: 92%; }

.block-feature h3 { color: var(--e-global-color-primary ); font-weight: 700; }
.block-feature p { font-size: 1.125em; }

/*** Article / Blog Posts ***/
.blog-post img { margin: 1em 0; }
.blog-post h3 { margin-top: 1em; }
.blog-post h4 { color: #EF4060; font-size: 1.25em; margin: 1em 0 0.5em 0;}


/** counter **/

.testimonial-carousel h5 { font-weight: bold; color: #082563; }

.text-btn button, .text-btn .ha-unfold-btn { background-color: transparent!important; }

button.wpforms-submit, .contact-form button, .contact-form button:active  { font-size: 0.9em!important; border: none; border-radius: 2em!important; background-color: var(--e-global-color-accent )!important; color: #fff!important; padding-left: 2em!important; padding-right: 2em!important; box-shadow: none!important; transition:all 0.3s ease-in-out!important;-moz-transition:all 0.3s ease-in-out;-webkit-transition:all 0.3s ease-in-out;-khtml-transition:all 0.3s ease-in-out; }
.contact-form button:hover, button.wpforms-submit:hover { background-color: var(--e-global-color-8a848f0 )!important; color: #fff!important; }

/*** Elementor Pagination ***/
.elementor-pagination .page-numbers:not(.dots) { margin: 0!important; padding: 5px 12px!important; }
.elementor-pagination .page-numbers.current { color: #fff!important; background-color: var(--e-global-color-accent); border-radius: 3em; }

@media screen and (min-width: 1200px) {
	.has-image .elementor-nav-menu--dropdown { width: 770px!important; }
	.has-image.col2 .elementor-nav-menu--dropdown { width: 506px!important; }
	.has-image .elementor-nav-menu--dropdown li { width: 250px!important; height: 100px!important; display: inline-block!important; }
}

@media screen and (max-width: 1024px) {
	.ha-navbar-nav-default .ha-navbar-nav>li>a { font-size: inherit!important; }
	.service-boxes .elementor-widget-image, .service-boxes .elementor-image-box-img { height: auto; }
}

@media screen and (max-width: 960px) {
}

@media screen and (max-width: 767px) {
	.bdt-prime-slider-skin-general .bdt-slide-btn .bdt-slide-btn-icon { bottom: 3px!important; right: 3px!important; }
	.elementor-testimonial h3 { font-size: 1.5em!important; }
	.service-boxes .elementor-image-box-content { margin-top: -7px; }
	.ha-modal-popup-content-wrapper.ha-modal-show.ha-modal-fullscreen { padding: 30px 15px!important; }
	.ha-modal-popup-content-wrapper.ha-modal-fullscreen .ha-modal-close-top-right { top: 50px!important; right: 30px!important; }
}

@media screen and (max-width: 480px) {
	.bdt-prime-slider-skin-general .bdt-scroll-down { top: auto!important; bottom: 12%!important; }
	.block-feature h3 { font-size: 1.25em; }
	.block-feature p { font-size: 1em; }
}